Kerbal Space Program - Bug #25019

Can't Walk on Gilly
03/10/2020 02:23 AM - MisterDoctor

Status: Confirmed Start date: 03/10/2020
Severity: Low % Done: 10%
Assignee: Robert.Keech

Category: Gameplay

Target version:

Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

The game won't allow me to register having walked on the surface of Gilly. In the save file this is recorded as "SurfaceEVA". I've
been on Gilly many times, and can see that | have "FlagPlant" for Gilly, but not "SurfaceEVA". Since | don't have this milestone, the
game has given me a worlds-first mission for it, but now | can't complete the mission.

| do not have any expansions or mods; I'm playing completely vanilla. (| started this save in 1.8.1 and am now playing 1.9.1.)

This could be related to the other issue of Gilly having too low of a max altitude. I've tried stepping on the lower parts of Gilly, but it
hasn't helped so far.

Someone else encountered this problem here: https:/www.reddit.com/r/KerbalAcademy/comments/8sjj4a/stuck_on_a_contract/

There are workarounds involving editing the save file and using the debug menu to complete the mission which is what I'll do after |
try a couple other things.

History

#1 - 03/10/2020 03:52 AM - MisterDoctor
- File gilly_bug.jpg added
- File gilly_bug.zip added

#2 - 03/10/2020 05:09 PM - Robert.Keech
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 03/10/2020 05:10 PM - Robert.Keech

- Assignee set to Robert.Keech

#5 - 03/13/2020 06:33 PM - arctangent

Eillin is on the surface but | don't see a lander nearby... did you EVA down? The walk-on-the-surface milestone seems to be triggered by
disembarking a landed vessel, rather than by actually walking on the surface.

If you cheat the kerbal to the ship, then cheat the ship to the surface and EVA from there, the contract is completed (immediately, before you let go of
the hatch ladder). Not an ideal solution with that ship, of course...

#6 - 03/14/2020 12:45 AM - MisterDoctor

ah, yes | used EVA RCS to get to the surface from the orbiting ship. that makes sense, thanks.
#7 - 03/12/2021 01:41 PM - MisterDoctor
| can't remember where it says it but | noticed that one reason | tried this is that the game does recommend doing so. Doing a crew or EVA report or

something while in orbit says something like "I bet we could just jetpack down!"
